package com.ruoyi.project.training.newstaff.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.training.newstaff.domain.TTnSchoolplan;
import com.ruoyi.project.training.newstaff.domain.TTnSchoolplanTmpl;

/**
 * 校招培训Mapper接口
 *
 * @author ruoyi
 * @date 2023-07-05
 */
public interface TTnSchoolplanMapper
{
    /**
     * 查询校招培训
     *
     * @param id 校招培训ID
     * @return 校招培训
     */
    public TTnSchoolplan selectTTnSchoolplanById(Long id);

    /**
     * 查询校招培训列表
     *
     * @param tTnSchoolplan 校招培训
     * @return 校招培训集合
     */
    @DataScope(deptAlias = "d")
    public List<TTnSchoolplan> selectTTnSchoolplanList(TTnSchoolplan tTnSchoolplan);

    public List<TTnSchoolplan> selectTTnSchoolplanListByNewId(TTnSchoolplan tTnSchoolplan);
    /**
     * 新增校招培训
     *
     * @param tTnSchoolplan 校招培训
     * @return 结果
     */
    public int insertTTnSchoolplan(TTnSchoolplan tTnSchoolplan);

    /**
     * 修改校招培训
     *
     * @param tTnSchoolplan 校招培训
     * @return 结果
     */
    public int updateTTnSchoolplan(TTnSchoolplan tTnSchoolplan);

    /**
     * 删除校招培训
     *
     * @param id 校招培训ID
     * @return 结果
     */
    public int deleteTTnSchoolplanById(Long id);

    /**
     * 批量删除校招培训
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTTnSchoolplanByIds(Long[] ids);

    void insertTTnSchoolplanTmpl(TTnSchoolplanTmpl t);

    int batchStatusByIds(Long[] ids);
}
